src/core/prismriver/dashboard/urls.py
from django.conf.urls.defaults import *

urlpatterns = patterns('', url(r'^$', 'prismriver.dashboard.views.dashboard'))

src/core/spaces/urls.py
# -*- coding: utf-8 -*-
#
# Copyright (c) 2013 Clione Software
# Copyright (c) 2010-2013 Cidadania S. Coop. Galega
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
This file contains all the URLs that e_cidadania will inherit when the user
access to '/spaces/'.
"""
from django.conf.urls import *

from core.spaces.views.spaces import ViewSpaceIndex, ListSpaces, \
    DeleteSpace
from core.spaces.views.documents import ListDocs, DeleteDocument, \
    AddDocument, EditDocument
from core.spaces.views.events import ListEvents, DeleteEvent, ViewEvent, \
    AddEvent, EditEvent
from core.spaces.views.rss import SpaceFeed
from core.spaces.views.intent import ValidateIntent
from core.spaces.views.news import ListPosts, YearlyPosts, MonthlyPosts, \
    RedirectArchive
from core.spaces.url_names import *

# NOTICE: Don't change the order of urlpatterns or it will probably break.

urlpatterns = patterns('',

    # RSS Feed
    url(r'^(?P<space_url>\w+)/rss/$', SpaceFeed(), name=SPACE_FEED),

    # News
    url(r'^(?P<space_url>\w+)/news/',
        include('apps.ecidadania.news.urls')),

    # Proposals
    url(r'^(?P<space_url>\w+)/proposal/',
        include('apps.ecidadania.proposals.urls')),

    # Calendar
    url(r'^(?P<space_url>\w+)/calendar/',
        include('apps.ecidadania.cal.urls')),

    # Debates
    url(r'^(?P<space_url>\w+)/debate/',
        include('apps.ecidadania.debate.urls')),

    # Votes
    url(r'^(?P<space_url>\w+)/voting/',
        include('apps.ecidadania.voting.urls')),

)

# Document URLs
urlpatterns += patterns('',

    url(r'^(?P<space_url>\w+)/docs/add/$', AddDocument.as_view(),
        name=DOCUMENT_ADD),

    url(r'^(?P<space_url>\w+)/docs/(?P<doc_id>\d+)/edit/$',
        EditDocument.as_view(), name=DOCUMENT_EDIT),

    url(r'^(?P<space_url>\w+)/docs/(?P<doc_id>\d+)/delete/$',
        DeleteDocument.as_view(), name=DOCUMENT_DELETE),

    url(r'^(?P<space_url>\w+)/docs/$', ListDocs.as_view(),
        name=DOCUMENT_LIST),

)

# Event URLs
urlpatterns += patterns('',

    url(r'^(?P<space_url>\w+)/event/add/$', AddEvent.as_view(),
        name=EVENT_ADD),

    url(r'^(?P<space_url>\w+)/event/(?P<event_id>\d+)/edit/$',
        EditEvent.as_view(), name=EVENT_EDIT),

    url(r'^(?P<space_url>\w+)/event/(?P<event_id>\d+)/delete/$',
        DeleteEvent.as_view(), name=EVENT_DELETE),

    url(r'^(?P<space_url>\w+)/event/(?P<event_id>\d+)/$',
        ViewEvent.as_view(), name=EVENT_VIEW),

    url(r'^(?P<space_url>\w+)/event/$', ListEvents.as_view(),
        name=EVENT_LIST),

)

# Intent URLs
urlpatterns += patterns('',

    url(r'^(?P<space_url>\w+)/intent/$',
        'core.spaces.views.intent.add_intent', name=INTENT_ADD),

    url(r'^(?P<space_url>\w+)/intent/approve/(?P<token>\w+)/$',
        ValidateIntent.as_view(), name=INTENT_VALIDATE),

)

# Spaces URLs
urlpatterns += patterns('',

    url(r'^(?P<space_url>\w+)/edit/',
        'core.spaces.views.spaces.edit_space', name=SPACE_EDIT),

    url(r'^(?P<space_url>\w+)/delete/', DeleteSpace.as_view(),
        name=SPACE_DELETE),

    url(r'^(?P<space_url>\w+)/news/$', RedirectArchive.as_view(),
        name=SPACE_NEWS),

    url(r'^(?P<space_url>\w+)/news/archive/$', ListPosts.as_view(),
        name=NEWS_ARCHIVE),

    url(r'^(?P<space_url>\w+)/news/archive/(?P<year>\d{4})/$',
        YearlyPosts.as_view(), name=NEWS_YEAR),

    url(r'^(?P<space_url>\w+)/news/archive/(?P<year>\d{4})/(?P<month>\w+)/$',
        MonthlyPosts.as_view(), name=NEWS_MONTH),

    url(r'^add/$', 'core.spaces.views.spaces.create_space',
        name=SPACE_ADD),

    url(r'^$', ListSpaces.as_view(), name=SPACE_LIST),

    # url(_(r'^go/'), GoToSpace.as_view(), name=GOTO_SPACE),

    url(r'^(?P<space_url>\w+)/roles/', 'core.spaces.views.spaces.edit_roles',
        name=EDIT_ROLES),

    url(r'^(?P<space_url>\w+)/search_user/',
        'core.spaces.views.spaces.search_user', name=SEARCH_USER),

    url(r'^(?P<space_url>\w+)/$', ViewSpaceIndex.as_view(),
        name=SPACE_INDEX),

)

src/e_cidadania/urls.py
# -*- coding: utf-8 -*-
#
# Copyright (c) 2013 Clione Software
# Copyright (c) 2010-2013 Cidadania S. Coop. Galega
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Main URLs for the e-cidadania platform.
"""

from django.conf.urls import *
from django.conf import settings
from django.contrib import admin
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

admin.autodiscover()

# We put here the dictionary with all the packages for translatin JavaScript code
# Please refer to https://docs.djangoproject.com/en/dev/topics/i18n/internationalization/#specifying-translation-strings-in-javascript-code
js_info_dict = {
    'packages': ('apps.ecidadania.debate',),
}

urlpatterns = patterns('',
    # i18n switcher
    (r'^i18n/', include('django.conf.urls.i18n')),
)

urlpatterns += patterns('',

    # Django administration
    (r'^admin/', include(admin.site.urls)),

    # Index
    url(r'^$', 'core.views.index.index_view', name='site-index'),

    # User accounts
    url(r'^accounts/', include('apps.thirdparty.userprofile.urls')),

    # REST API
    url(r'^api/', include('apps.ecidadania.api.urls')),

    # Spaces
    url(r'^spaces/', include('core.spaces.urls')),

    # Invitations
    url(r'^invite/', 'core.views.invite.invite', name='invite'),

    # Explore
    url(r'^explore/$', 'core.views.explore.explore', name='explore'),

    # This urls is for the django comments system
    url(r'^comments/', include('django.contrib.comments.urls')),

    (r'^jsi18n/$', 'django.views.i18n.javascript_catalog', js_info_dict),

    # For smart_selects app
    url(r'^chaining/', include('apps.thirdparty.smart_selects.urls')),

    # This url is for the access to static pages. I hope this doesn't collide
    # with the index view
    url(r'^(?P<slug>[\w\-]+)/', include('apps.ecidadania.staticpages.urls')),

)

if settings.DEBUG:
    # Serve static files
    urlpatterns += staticfiles_urlpatterns()
    # Serve uploaded files
    urlpatterns += patterns('',
        url(r'^uploads/(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}),
    )

src/core/spaces/models.py
# -*- coding: utf-8 -*-
#
# Copyright (c) 2013 Clione Software
# Copyright (c) 2010-2013 Cidadania S. Coop. Galega
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from datetime import datetime

from django.core.validators import RegexValidator
from django.db import models
from django.utils.translation import ugettext_lazy as _
from django.contrib.auth.models import User
from django.contrib.sites.models import Site

from core.spaces.file_validation import ContentTypeRestrictedFileField
from fields import StdImageField
from allowed_types import ALLOWED_CONTENT_TYPES


class Space(models.Model):

    """
    Spaces model. This model stores a "space" or "place" also known as a
    participative process in reality. Every place has a minimum set of
    settings for customization.

    There are three main permission roles in every space: administrator
    (admins), moderators (mods) and regular users (users).
    """
    name = models.CharField(_('Name'), max_length=250, unique=True,
        help_text=_('Max: 250 characters'))
    url = models.CharField(_('URL'), max_length=100, unique=True,
        validators=[RegexValidator(regex='^[a-z0-9_]+$',
        message='Invalid characters in the space URL.')],
        help_text=_('Valid characters are lowercase, digits and \
                     underscore. This will be the accesible URL'))
    description = models.TextField(_('Description'),
        default=_('Write here your description.'))
    pub_date = models.DateTimeField(_('Date of creation'), auto_now_add=True)
    author = models.ForeignKey(User, blank=True, null=True,
        verbose_name=_('Space creator'), help_text=_('Select a user that \
        will be marked as creator of the space'))
    logo = StdImageField(upload_to='spaces/logos', size=(100, 75, False),
        help_text = _('Valid extensions are jpg, jpeg, png and gif'))
    banner = StdImageField(upload_to='spaces/banners', size=(500, 75, False),
        help_text = _('Valid extensions are jpg, jpeg, png and gif'))
    public = models.BooleanField(_('Public space'), help_text=_("This will \
        make the space visible to everyone, but registration will be \
        necessary to participate."))

# Modules
    mod_debate = models.BooleanField(_('Debate'))
    mod_proposals = models.BooleanField(_('Proposals'))
    mod_news = models.BooleanField(_('News'))
    mod_cal = models.BooleanField(_('Calendar'))
    mod_docs = models.BooleanField(_('Documents'))
    mod_voting = models.BooleanField(_('Voting'))

    class Meta:
        ordering = ['name']
        verbose_name = _('Space')
        verbose_name_plural = _('Spaces')
        get_latest_by = 'pub_date'
        permissions = (
            ('view_space', 'Can view this space.'),
            ('admin_space', 'Can administrate this space.'),
            ('mod_space', 'Can moderate this space.')
        )

    def __unicode__(self):
        return self.name

    @models.permalink
    def get_absolute_url(self):
        return ('space-index', (), {
                'space_url': self.url})


class Entity(models.Model):

    """
    This model stores the name of the entities responsible for the creation
    of the space or supporting it.
    """
    name = models.CharField(_('Name'), max_length=100, unique=True)
    website = models.CharField(_('Website'), max_length=100, null=True,
        blank=True)
    logo = models.ImageField(upload_to='spaces/logos', verbose_name=_('Logo'),
        blank=True, null=True)
    space = models.ForeignKey(Space, blank=True, null=True)

    class Meta:
        ordering = ['name']
        verbose_name = _('Entity')
        verbose_name_plural = _('Entities')

    def __unicode__(self):
        return self.name


class Document(models.Model):

    """
    This models stores documents for the space, like a document repository,
    There is no restriction in what a user can upload to the space.

    :methods: get_file_ext, get_file_size
    """
    title = models.CharField(_('Document title'), max_length=100,
        help_text=_('Max: 100 characters'))
    space = models.ForeignKey(Space, blank=True, null=True,
        help_text=_('Change the space to whom belongs this document'))
    docfile = ContentTypeRestrictedFileField(_('File'),
        upload_to='spaces/documents/%Y/%m/%d',
        content_types=ALLOWED_CONTENT_TYPES,
        max_upload_size=26214400,
        help_text=_('Permitted file types: DOC, DOCX, PPT, ODT, ODF, ODP, \
            PDF, RST, TXT.'))
    pub_date = models.DateTimeField(auto_now_add=True)
    author = models.ForeignKey(User, verbose_name=_('Author'), blank=True,
        null=True, help_text=_('Change the user that will figure as the \
        author'))

    def get_file_ext(self):
        filename = self.docfile.name
        extension = filename.split('.')
        return extension[1].upper()

    def get_file_size(self):
        if self.docfile.size < 1023:
            return str(self.docfile.size) + " Bytes"
        elif self.docfile.size >= 1024 and self.docfile.size <= 1048575:
            return str(round(self.docfile.size / 1024.0, 2)) + " KB"
        elif self.docfile.size >= 1048576:
            return str(round(self.docfile.size / 1024000.0, 2)) + " MB"

    class Meta:
        ordering = ['pub_date']
        verbose_name = _('Document')
        verbose_name_plural = _('Documents')
        get_latest_by = 'pub_date'

    # There is no 'view-document' view, so I'll leave the get_absolute_url
    # method without permalink. Remember that the document files are accesed
    # through the url() method in templates.
    def get_absolute_url(self):
        return '/spaces/%s/docs/%s' % (self.space.url, self.id)


class Event(models.Model):

    """
    Meeting data model. Every space (process) has N meetings. This will
    keep record of the assistants, meeting name, etc.
    """
    title = models.CharField(_('Event name'), max_length=250,
        help_text="Max: 250 characters")
    space = models.ForeignKey(Space, blank=True, null=True)
    user = models.ManyToManyField(User, verbose_name=_('Users'),
        help_text=_('List of the users that will assist or assisted to the \
        event.'))
    pub_date = models.DateTimeField(auto_now_add=True)
    event_author = models.ForeignKey(User, verbose_name=_('Created by'),
        blank=True, null=True, related_name='meeting_author',
        help_text=_('Select the user that will be designated as author.'))
    event_date = models.DateTimeField(verbose_name=_('Event date'),
        help_text=_('Select the date where the event is celebrated.'))
    description = models.TextField(_('Description'), blank=True, null=True)
    location = models.TextField(_('Location'), blank=True, null=True)
    latitude = models.DecimalField(_('Latitude'), blank=True, null=True,
        max_digits=17, decimal_places=15, help_text=_('Specify it in decimal'))
    longitude = models.DecimalField(_('Longitude'), blank=True, null=True,
        max_digits=17, decimal_places=15, help_text=_('Specify it in decimal'))

    def is_due(self):
        if self.event_date < datetime.now():
            return True
        else:
            return False

    class Meta:
        ordering = ['event_date']
        verbose_name = _('Event')
        verbose_name_plural = _('Events')
        get_latest_by = 'event_date'
        permissions = (
            ('view_event', 'Can view this event'),
            ('admin_event', 'Can administrate this event'),
            ('mod_event', 'Can moderate this event'),
        )

    def __unicode__(self):
        return self.title

    @models.permalink
    def get_absolute_url(self):
        return ('view-event', (), {
            'space_url': self.space.url,
            'event_id': str(self.id)})


class Intent(models.Model):

    """
    Intent data model. Intent stores the reference of a user-token when a user
    asks entering in a restricted space.

    .. versionadded: 0.1.5
    """
    user = models.ForeignKey(User)
    space = models.ForeignKey(Space)
    token = models.CharField(max_length=32)
    requested_on = models.DateTimeField(auto_now_add=True)

    def get_approve_url(self):
        site = Site.objects.all()[0]
        return "http://%s%sintent/approve/%s" % (site.domain, self.space.get_absolute_url(), self.token)

src/core/spaces/templates/spaces/document_confirm_delete.html
{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans "Delete document" %}{% endblock %}
{% block logo %}<a href="{{ get_place.get_absolute_url }}"><img src="{{ MEDIA_URL }}/{{ get_place.logo }}" /></a>{% endblock %}
{% block banner %}<img src="{{ MEDIA_URL }}/{{ get_place.banner }}" />{% endblock %}

{% block space %}
    <a class="brand" href="{{ get_place.get_absolute_url }}">{{ get_place.name }}</a>
{% endblock %}

{% block content %}

    <div class="row">
        <div class="span12">
            <h3>{% trans "Delete document" %}</h3>
            
            <form action="" method="post">{% csrf_token %}
                <p>{% trans "Are you sure you want to delete this document? This action cannot be undone" %}.</p><br/>

                <hr />
                <a href="{{ get_place.get_absolute_url }}" class="btn btn-small">&laquo; {% trans "Go back" %}</a>
                <input class="btn btn-small btn-danger" type="submit" value="{% trans 'Delete' %}" />

            </form>
        </div>
    </div>

{% endblock %}

src/core/spaces/templates/spaces/document_form.html
{% extends "base.html" %}
{% load i18n %}
{% load guardian_tags %}

{% comment %}
The way to validate in this form if it is an edit or an add request is to
validate the title field. If it's True, it means that it's populated, therefore
we're editing the form. Remember that this tempalte shows the help_text
automatically if found in the data models.
{% endcomment %}

{% block title %}
    {% if form.title.value %}
        {% trans "Edit document" %} {{ form.title.value }}
    {% else %}
        {% trans "Upload a new document" %}
    {% endif %}
{% endblock %}

{% block logo %}<a href="{{ get_place.get_absolute_url }}"><img src="{{ MEDIA_URL }}/{{ get_place.logo }}" /></a>{% endblock %}
{% block banner %}<img src="{{ MEDIA_URL }}/{{ get_place.banner }}" />{% endblock %}

{% block space %}
<a class="brand" href="{{ get_place.get_absolute_url }}">{{ get_place.name }}</a>
{% endblock %}

{% block content %}

{% get_obj_perms request.user for get_place as "space_perms" %}

<div class="row">

    <form class="form-horizontal" enctype="multipart/form-data" action="" method="post">{% csrf_token %}
    
        <div class="span12">
            {% if form.title.value %}
                <h3>{% trans "Edit document" %} {{ form.title.value }}</h3>
            {% else %}
                <h3>{% trans "Upload new document" %}</h3>
            {% endif %}    

            {% if form.non_field_errors %}
                {% for error in form.non_field_errors %}
                    <span class="help-inline">{{ error|escape }}</span>
                {% endfor %}
            {% endif %}

            <div class="control-group {% if form.title.errors %}error{% endif%}">
                <label class="control-label">{{ form.title.label }}</label>
                <div class="controls">
                    <div class="input-append">
                        {{ form.title }}
                        {% if form.title.help_text %}
                            <span class="add-on"><a href="#" rel="tooltip" title="{{ form.title.help_text }}"><i class="icon-question-sign"></i></a></span>
                        {% endif %}
                    </div>
                    {% if form.title.errors %}
                    <p class="help-block">
                        {% for error in form.title.errors %}
                        {{ error|escape }}
                        {% endfor %}
                    </p>
                    {% endif %}
                </div>
            </div>

            <div class="control-group {% if form.docfile.errors %}error{% endif%}">
                <label class="control-label">{{ form.docfile.label }}
                    {% if form.docfile.help_text %}
                        <a href="#" rel="tooltip" title="{{ form.docfile.help_text }}"><i class="icon-question-sign"></i></a>
                    {% endif %}
                </label>
                <div class="controls">
                    {{ form.docfile }}
                    {% if form.docfile.errors %}
                    <p class="help-block">
                        {% for error in form.docfile.errors %}
                        {{ error|escape }}
                        {% endfor %}
                    </p>
                    {% endif %}
                </div>
            </div>

            <hr>

            {% if "admin_space" in space_perms %}
                <h3>{% trans "Staff members options" %}</h3>
                
                <div class="alert alert-error fade in">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    {% trans "<strong>Warning:</strong> Changes made here can affect the way the participative process works. Proceed with care. If you're not sure please leave it as-is." %}
                </div>
            
                <div class="control-group {% if form.space.errors %}error{% endif%}">
                    <label class="control-label">{{ form.space.label }}</label>
                    <div class="controls">
                        <div class="input-append">
                            {{ form.space }}
                            {% if form.space.help_text %}
                                <span class="add-on"><a href="#" rel="tooltip" title="{{ form.space.help_text }}"><i class="icon-question-sign"></i></a></span>
                            {% endif %}
                        </div>
                        {% if form.space.errors %}
                            <p class="help-block">
                                {% for error in form.space.errors %}
                                    {{ error|escape }}
                                {% endfor %}
                            </p>
                        {% endif %}
                    </div>
                </div>

                <div class="control-group {% if form.author.errors %}error{% endif%}">
                    <label class="control-label">{{ form.author.label }}</label>
                    <div class="controls">
                        <div class="input-prepend">
                            {{ form.author }}
                            {% if form.author.help_text %}
                                <span class="add-on"><a href="#" rel="tooltip" title="{{ form.author.help_text }}"><i class="icon-question-sign"></i></a></span>
                            {% endif %}
                        </div>
                        {% if form.author.errors %}
                            <p class="help-block">
                                {% for error in form.author.errors %}
                                    {{ error|escape }}
                                {% endfor %}
                            </p>
                        {% endif %}
                    </div>
                </div>
            {% endif %}

            <hr>
            <a href="{{ get_place.get_absolute_url }}" class="btn btn-danger btn-small">&laquo; {% trans "Go back" %}</a>
            <input class="btn btn-small btn-primary" type="submit" value="{% trans 'Upload' %}" />

            <br><br>
        </div>
    </form>
</div>

{% endblock %}

src/core/spaces/templates/spaces/document_list.html
{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans "Document list" %}{% endblock %}
{% block logo %}<a href="{{ get_place.get_absolute_url }}"><img src="{{ MEDIA_URL }}/{{ get_place.logo }}" /></a>{% endblock %}
{% block banner %}<img src="{{ MEDIA_URL }}/{{ get_place.banner }}" />{% endblock %}

{% block space %}
    <a class="brand" href="{{ get_place.get_absolute_url }}">{{ get_place.name }}</a>
{% endblock %}

{% block content %}

    <div class="row">
        <div class="span12">
            <h3>{% trans "Document list" %}</h3>
            
            {% for doc in document_list %}
                <p><a href="{{ doc.docfile.url }}"><strong>{{ doc.title }}</strong></a> <em>{% trans "published" %} {{ doc.pub_date }}</em></p>
            {% empty %}
                <p>{% trans "There are no documents in this space" %}.</p>
            {% endfor %}
      
            <hr />
            {% if is_paginated %}
            <div class="pagination">
                <span class="page-links">
                    {% if page_obj.has_previous %}
                        <a href="{% url 'list-documents' get_place.url %}?page={{ page_obj.previous_page_number }}">&laquo; {% trans "previous" %} | </a>
                    {% endif %}
                    <span class="page-current">
                        {{ page_obj.number }} {% trans "of" %} {{ page_obj.paginator.num_pages }}
                    </span>
                    {% if page_obj.has_next %}
                        <a href="{% url 'list-documents' get_place.url %}?page={{ page_obj.next_page_number }}"> | {% trans "next" %} &raquo;</a>
                    {% endif %}
                </span>
            </div>
            {% endif %}
            
            <a href="{{ get_place.get_absolute_url }}" class="btn btn-small">&laquo; {% trans "Go back" %}</a>
        </div>
    </div>

{% endblock %}

src/core/spaces/templates/spaces/event_confirm_delete.html
{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans "Delete event" %}{% endblock %}
{% block logo %}<a href="{{ get_place.get_absolute_url }}"><img src="{{ MEDIA_URL }}/{{ get_place.logo }}" /></a>{% endblock %}
{% block banner %}<img src="{{ MEDIA_URL }}/{{ get_place.banner }}" />{% endblock %}

{% block space %}
    <a class="brand" href="{{ get_place.get_absolute_url }}">{{ get_place.name }}</a>
{% endblock %}

{% block content %}

    <div class="row">
        <div class="span12">
            <h3>{% trans "Delete event" %}</h3>
            
            <form action="" method="post">{% csrf_token %}
                <p>{% trans "Are you sure you want to delete this event? This action cannot be undone" %}.</p>

                <hr />
                <a href="{{ get_place.get_absolute_url }}" class="btn btn-small">&laquo; {% trans "Go back" %}</a>
                <input class="btn btn-small btn-danger" type="submit" value="{% trans 'Delete' %}" />
          
            </form>
        </div>
    </div>

{% endblock %}

src/core/spaces/templates/spaces/event_detail.html
{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}

{% block title %}{% trans "View event" %} {{ proposal.id }} {% endblock %}
{% block logo %}<a href="{{ get_place.get_absolute_url }}"><img src="{{ MEDIA_URL }}/{{ get_place.logo }}" /></a>{% endblock %}
{% block banner %}<img src="{{ MEDIA_URL }}/{{ get_place.banner }}" />{% endblock %}

{% block space %}
    <a class="brand" href="{{ get_place.get_absolute_url }}">{{ get_place.name }}</a>
{% endblock %}

{% block content %}

<style type="text/css">
        #map img { 
            max-width: none;  
        }
</style>

    <div class="row">
        <div class="span6">
            <h3>{{ event.title }}
            {% if perms.spaces.change_event %}
                <a href="{% url 'edit-event' get_place.url event.id %}" title="{% trans 'Edit' %}">
                    <i class="icon-edit" style="font-size:16px;"></i>
                </a>
                {% if perms.spaces.delete_event %}
                    <a href="{% url 'delete-event' get_place.url event.id %}" title="{% trans 'Delete' %}">
                        <i class="icon-trash" style="font-size:16px;"></i>
                    </a>
                {% endif %}
            {% endif %}
            </h3>
            <p>{{ event.location }}, {{ event.event_date }} - {{ event.event_type}}</p><br /><br />
            <p>{{ event.description|safe }}</p><br /><br />
        </div>

        <div class="span6">
            {% if event.latitude and event.longitude %}
                <div id="map" style="width:550px;height:300px;border:1px solid #AAA;"></div>
            {% endif %}           
            <p>{% trans "Attendees" %}:
                {% for attendant in event.user.all %}
                    <a href="{% url 'profile_public' attendant.username %}">
                        {% if attendant.get_profile.name %}
                            {{ attendant.get_profile.name }}
                        {% else %}
                            {{ attendant.username }}
                        {% endif %}
                    </a>
                {% endfor %}
            </p>           
        </div>

    </div>

{% endblock %}

{% block extrajsbottom %}
    <script type="text/javascript" src="http://openlayers.org/api/OpenLayers.js"></script>
    <script type="text/javascript" src="{% static 'js/map_tools.js' %}"></script>
    <script type="text/javascript">viewMap( {{ event.latitude }}, {{ event.longitude }} );</script>
{% endblock %}